Bug 90174 - dhclient fails to negotiate lease renewal
dhclient fails to negotiate lease renewal
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-04 12:51 EDT by Richard Henderson
Modified: 2007-04-18 12:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 15:00:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Henderson 2003-05-04 12:51:10 EDT
Description of problem:

Upon insertion of the cardbus nic, dhclient successfully negotiates an IP
address.  Thereafter, it does not recognize any of the responses to the
lease updates and eventually downs the interface when the original lease
expires.

tcpdump verifies that the server responses do in fact appear on the wire.

Version-Release number of selected component (if applicable):

dhclient-3.0pl1-23

How reproducible:

Annoyingly frequent.

Steps to Reproduce:

Insert nic.  Wait.
The process can be sped up by setting the lease expiry
low on the server side.
    
Additional info:

Server is dhcp-3.0pl1-23 also running on RH9.
Comment 1 Daniel Walsh 2003-05-07 08:43:18 EDT
Have you checked if there is firewall rules blocking this?

Dan
Comment 2 Richard Henderson 2003-05-07 13:59:46 EDT
Yes.  Firewalling is disabled.
Comment 3 Jeff Epler 2003-06-07 09:10:01 EDT
I belive I'm seeing this too.  The client is dhclient-3.0pl1-23 and I'm told the
server is bootp running on an ancient bsdi machine.  Our symptom is that
evolution reading mail in a spool on NFS will die periodically, "tail -f" of an
NFS file will die periodically, and "tcpdump -ieth0" will periodically report
that the interface has been marked "down".  The times these things happen
correlate with the "expires" lines in the leases file.
Comment 4 Daniel Walsh 2003-06-12 15:50:42 EDT
Are you seeing anything in the message log for this bug?

Dan
Comment 5 Jeff Epler 2003-06-17 16:10:21 EDT
On our end, the client logs nothing (aside from the NFS errors), and the bootp
server logs requests every few minutes from each of the redhat9 clients.  If
necessary I can gather information on the bootp server, which is of ancient vintage.
Comment 6 Robert Vogt 2003-07-31 12:54:20 EDT
I encountered the same bug. dhclient loses the IP and I can't work. DHCP-Server
works with fli4l 2.0.8.
Comment 7 Jason Vas Dias 2004-08-30 18:47:01 EDT
Unreproducible with dhcp-3.0.1-7 

Note You need to log in before you can comment on or make changes to this bug.